



class Reproject implements Runnable
{
   String id;
   String prefix;
   String fileName;
   String[] response;
   VlkbAmqp datasets;

   public Reproject(VlkbAmqp datasets, String id, String prefix, String fileName)
   {
      this.datasets  = datasets;
      this.id        = id;
      this.prefix    = prefix;
      this.fileName  = fileName;
   }


   @Override
   public void run()
   {
      String name = Thread.currentThread().getName();
      VlkbAmqp.LOGGER.fine("Start of " + name);
      response = datasets.mergefiles_reproject(id, prefix, fileName);
      VlkbAmqp.LOGGER.fine("End   of " + name);
   }

}

